-- Script for glam_etl.glam_desktop_release_aggregates_v1
            -- For more information on writing queries see:
            -- https://docs.telemetry.mozilla.org/cookbooks/bigquery/querying.html
MERGE INTO
  `moz-fx-glam-prod.glam_etl.glam_desktop_release_aggregates_v1` T
  USING (
    SELECT
      *
    FROM
      `moz-fx-data-shared-prod.telemetry_derived.glam_extract_firefox_release_v1`
  ) S
  ON T.version = S.app_version
  AND T.os = S.os
  AND T.build_id = S.app_build_id
  AND T.process = S.process
  AND T.metric = S.metric
  AND T.metric_key = S.key
  AND T.client_agg_type = S.client_agg_type
  AND T.metric_type = S.metric_type
WHEN NOT MATCHED BY TARGET
THEN
  INSERT
    (
      version,
      os,
      build_id,
      process,
      metric,
      metric_key,
      client_agg_type,
      metric_type,
      total_users,
      histogram,
      percentiles,
      total_sample,
      non_norm_histogram,
      non_norm_percentiles
    )
  VALUES
    (
      S.app_version,
      S.os,
      S.app_build_id,
      S.process,
      S.metric,
      S.key,
      S.client_agg_type,
      S.metric_type,
      S.total_users,
      S.histogram,
      NULL,
      S.total_sample,
      S.non_norm_histogram,
      NULL
    )
  WHEN MATCHED
THEN
  UPDATE
    SET T.total_users = S.total_users,
    T.histogram = S.histogram,
    T.percentiles = NULL,
    T.total_sample = S.total_sample,
    T.non_norm_histogram = S.non_norm_histogram,
    T.non_norm_percentiles = NULL
